# HAProxy Rules for the Fixed IPv4 Provider

In case I don't have a fixed IPv4 address, I use these rules to route the services through a fixed IPv4 provider like Oracle Cloud.

## Pre-Requesites

* Install HAProxy on the server : `sudo dnf install -y haproxy`
* Copy the configuration file: `sudo cp /home/opc/bin/NAT/haproxy.cfg /etc/haproxy/haproxy.cfg`
* Enable the service: `sudo systemctl enable --now haproxy`
* Open the ad-hoc ports (bound from haproxy.cfg) in the firewall, for instance: `sudo firewall-cmd --add-port=80/tcp --permanent`

## IP Addresses in Use

| Public IP (Oracle) | Internal IP (Oracle) | Wireguard client IP | Description |
| --- | --- | --- | --- |
| 129.151.211.229 | 10.0.0.104 | 10.0.100.10 | fastlight (Hostux FR) |
| 129.151.214.116 | 10.0.0.143 | 10.0.100.20 | norrsken (Hostux SE) |

# IPv6

Set up the connection for tunnelbroker (norrsken) :

```bash
sudo nmcli connection add type ip-tunnel con-name he-ipv6 ifname he-ipv6 mode sit \
  remote 216.66.80.90 -- ipv4.method disabled ipv6.method manual \
  ipv6.address 2001:470:27:844::2 ipv6.gateway 2001:470:27:844::1 \
  ip-tunnel.ttl 64
```
